html {
  box-sizing: border-box;
  font-size: 16px;
}

// Set box-sizing globally to handle padding and border widths
*,
*::before,
*::after {
  box-sizing: inherit;
}

// Default body styles
body {
  margin: 0;
  padding: 0;

  font-style: normal;
  font-size: 16px;

  -webkit-font-smoothing: antialiased; // sass-lint:disable-line no-vendor-prefixes
  -moz-osx-font-smoothing: grayscale; // sass-lint:disable-line no-vendor-prefixes
}

a {
  font-family: $rubik;
  text-decoration: none;
}

img {
  display: block;
  // vertical-align: middle;
  max-width: 100%;
  height: auto;
  -ms-interpolation-mode: bicubic;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

textarea {
  height: auto;
  min-height: 50px;
}

select {
  box-sizing: border-box;
  width: 100%;
}

.map_canvas,
.mqa-display {
  img,
  embed,
  object {
    max-width: none !important;
  }
}

pre {
  overflow: auto;
}

// Make reset inherit font-family instead of settings sans-serif
button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
}

input,
textarea,
select {
  background: $white !important;
  border: 1px solid #d8dce3;
  border-radius: 5px;
  font-family: $rubik;
  padding: 8px 0 8px 16px !important;
  width: 100% !important;
}
